--- ZRCP remote command ---

Macros o lenguaje en ZEsarUX
Que permita integrar con ZRCP y acciones...

-ZRCP:
*array para guardar los threads que se van lanzando?
-completar remote_cerrar_conexion para que cierre todas las conexiones de cliente que puedan haber

-Si se cambia el prompt de ZRCP, esperar también ese prompt en ZENG



-Que se puedan ver errores debug verbose etc pero en ZRCP, de manera que no se vean en consola pero si en ZRCP. Eso permitiría debugar remotamente en raspiboy por ejemplo


-Protocolo remoto:
Ver si la simulación de pulsado de escape desde smartload de remote protocol no se detecta como space-break en zxuno

-al salir de socket en remote, ver si sock_conectat estaba asociado a algo

-en hexdump y hexdump internal, compara c>127 en caso de char? warning al compilar en linux

-Mejorar load source code. Poder saber líneas siguientes a un label empezando en siguientes líneas a label. Cache? Indices?

-comando send-keys-string  y send-keys-ascii no van si driver stdout. con otro (incluso con null) va. Quiza tampoco va spool file con stdout?

-opcion ZRCP que indique que memoria divmmc/divide esta mapeada: de momento dice divmmc sin mas

-Comandos ZRCP obtener datos sprites tsconf

-Consola ZRCP desde menú. Cómo gestionar comandos de cpu step que bloquean el menú?

-Comando genérico para alterar algunos settings desde ZRCP hacia settings de menú
Quizá hacer función que mediante una string de entrada (quizá misma que command line) que pueda:
-establecer valor
-conmutar valor, en el caso de variables 0/1
Luego se podrá usar en el futuro para nuevos settings de menú y command line, y automáticamente desde ZRCP


-for the get-visualmem-xxx commands, could you please add start address & length/end address params?
Mark Hutchings

-exit-emulator de ZRCP no parece funcionar en Mac, pero en Linux si. Va como a medias, desactiva el sonido pero no sale

-al salir emulador desde exit-emulator de ZRCP no acaba de salir del todo. Luego salgo con ctrl-c y el footer luego arranca desactivado

-Agregar a extended stack: fecha y hora de entrada en stack. También puede testado y milisegundos de la hora
Extended stack visible en menu. Consultable
Poder consultar stack normal también en menú

--Enter cpu step en ZRCP con drivers null stdout y simpletext. Se puede abrir menú con drivers null y simpletext?
Con printf verbose error?

- enter-cpu-step no parece funcionar si hay ventanas en background-> no, parece que solo sucede si menu esta abierto

-------------


---- Red ---

-Query zsock http que detecte si query es mayor que 1024 y de error

-rutinas zsock_read_all: deberia reintentar un par o dos de veces si no se ha alcanzado la longitud deseada
o bien, que quien llame ahi, que mire si se ha llegado al final de lo esperado
o bien que al principio se diga la longitud de lo que se envia-> util para get-snapshot

-Quizá Windows falla a aveces porque la lectura de datos del socket no viene toda de una vez?

-zsock http request: Buffer response en z80_byte y no char

--zsock_http:
-no tiene que tener un maximo de bloques la descarga, esto solo cuando el bloque es de 0 bytes, entonces si que aumentar
En ese caso no hacer mas alla de 500 por ejemplo

-Semáforo en debug print tiene sentido??
Quiza por el sprintf (pending_error_message
 para que no se pudiera escribir desde dos sitios?

-semáforos en Windows. Como? De momento no hace bloqueo si es Windows
